{
  description = "The server backend for the sheetless music reader.";

  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs?ref=nixos-unstable";
    flake-utils.url = "github:numtide/flake-utils";
  };

  outputs =
    {
      self,
      nixpkgs,
      flake-utils,
    }:
    flake-utils.lib.eachDefaultSystem (
      system:
      let
        pkgs = nixpkgs.legacyPackages.${system};
      in
      {
        devShells.default = pkgs.mkShell {
          buildInputs = with pkgs; [
            go
            gopls
            go-tools
          ];
        };

        # packages.default = pkgs.buildGoModule {
        #   pname = "sheetless-server";
        #   version = "0.1.0";
        #   src = ./.;
        #   vendorHash = "";  # Will be computed on first build
        # };
      }
    );
}
